JBoss API: Class MailService

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mail
Class MailService

    java.lang.Object
      |
      +--javax.management.NotificationBroadcasterSupport
            |
            +--org.jboss.util.ServiceMBeanSupport
                  |
                  +--org.jboss.mail.MailService

All Implemented Interfaces:
  MailServiceMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, Service, ServiceMBean

public class MailService
extends ServiceMBeanSupport
implements MailServiceMBean

MBean that gives support for JavaMail. Object of class javax.mail.Session will be bound in JNDI under java:/ namespace with the name provided with method `setJNDIName(java.lang.String)`.

Version:
  $Revision: 1.2.6.1 $
Author:
  Simone Bordet (simone.bordet@compaq.com)

Fields inherited from class org.jboss.util.ServiceMBeanSupport
`log, server`

Fields inherited from interface org.jboss.mail.MailServiceMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Constructor Summary
`MailService()`

Method Summary
`protected java.lang.String` | `getConfigurationFile()`
`protected java.lang.String` | `getJNDIName()`
`java.lang.String` | `getName()`
`protected java.lang.String` | `getPassword()`
`protected java.lang.String` | `getUser()`
`void` | `setConfigurationFile(java.lang.String file)` File name of the configuration mail file used by JavaMail to send mail.
`void` | `setJNDIName(java.lang.String name)` The JNDI name under the java:/ namespace to which javax.mail.Session objects are bound.
`void` | `setPassword(java.lang.String password)` Password used to connect to a mail server
`void` | `setUser(java.lang.String user)` User id used to connect to a mail server
`void` | `startService()`
`void` | `stopService()`

Methods inherited from class org.jboss.util.ServiceMBeanSupport
`destroy, destroyService, getObjectName, getServer, getState, getStateString, init, initService, nextSequenceNumber, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.util.ServiceMBean
`getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Constructor Detail

### MailService

    public MailService()

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ServiceMBean`
  Overrides:
    `getName` in class `ServiceMBeanSupport`

### setUser

    public void setUser(java.lang.String user)

  Description copied from interface: `MailServiceMBean`
  User id used to connect to a mail server
  Specified by:
    `setUser` in interface `MailServiceMBean`
  Following copied from interface: `org.jboss.mail.MailServiceMBean`
  See Also:
    `MailServiceMBean.setPassword(java.lang.String)`

### getUser

    protected java.lang.String getUser()

### setPassword

    public void setPassword(java.lang.String password)

  Description copied from interface: `MailServiceMBean`
  Password used to connect to a mail server
  Specified by:
    `setPassword` in interface `MailServiceMBean`
  Following copied from interface: `org.jboss.mail.MailServiceMBean`
  See Also:
    `MailServiceMBean.setUser(java.lang.String)`

### getPassword

    protected java.lang.String getPassword()

### setConfigurationFile

    public void setConfigurationFile(java.lang.String file)

  Description copied from interface: `MailServiceMBean`
  File name of the configuration mail file used by JavaMail to send mail. This file normally reside in the configuration directory of JBoss, and contains name-value pairs (such as "mail.transport.protocol = smtp") as specified in the JavaMail specification.
  Specified by:
    `setConfigurationFile` in interface `MailServiceMBean`

### getConfigurationFile

    protected java.lang.String getConfigurationFile()

### setJNDIName

    public void setJNDIName(java.lang.String name)

  Description copied from interface: `MailServiceMBean`
  The JNDI name under the java:/ namespace to which javax.mail.Session objects are bound.
  Specified by:
    `setJNDIName` in interface `MailServiceMBean`

### getJNDIName

    protected java.lang.String getJNDIName()

### startService

    public void startService()
                      throws java.lang.Exception

  Overrides:
    `startService` in class `ServiceMBeanSupport`

### stopService

    public void stopService()

  Overrides:
    `stopService` in class `ServiceMBeanSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.